Bug 43479 - APR sendfile thread leaks memory
APR sendfile thread leaks memory
Status: RESOLVED FIXED
Product: Tomcat Native
Classification: Unclassified
Component: Library
unspecified
Other other
: P3 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-09-25 19:49 UTC by Chris Elving
Modified: 2008-10-05 02:36 UTC (History)
0 users



Attachments
Don't leak SendfileData objects (351 bytes, patch)
2007-09-25 19:50 UTC, Chris Elving
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Elving 2007-09-25 19:49:30 UTC
The APR sendfile thread leaks memory by adding SendfileData objects to its
HashMap and failing to remove them.
Comment 1 Chris Elving 2007-09-25 19:50:46 UTC
Created attachment 20883 [details]
Don't leak SendfileData objects
Comment 2 Mark Thomas 2008-01-16 15:25:38 UTC
This was fixed in svn for 6.0.15 - which failed the release vote. It will be
part of the next stable 6.0.x release.